import type { ReadingLog } from "@utils/ReadingLog";
import { Command } from "./Command";
import { Notice } from "obsidian";

export class ReloadReadingLogCommand extends Command {
	constructor(private readonly readingLog: ReadingLog) {
		super("reload-reading-log", "Reload Reading Log From File");
	}

	async callback() {
		await this.readingLog.load();
		new Notice("Reading log loaded from file.");
	}
}
